Next: SCAN, Previous: SAME_TYPE_AS, Up: Intrinsic Procedures

### 8.235 `SCALE` — Scale a real value

Description:
  `SCALE(X,I)` returns `X * RADIX(X)**I`.
Standard:
  Fortran 90 and later
Class:
  Elemental function
Syntax:
  `RESULT = SCALE(X, I)`
Arguments:

  X | The type of the argument shall be a `REAL`.
  I | The type of the argument shall be a `INTEGER`.

Return value:
  The return value is of the same type and kind as X. Its value is `X * RADIX(X)**I`.
Example:

                program test_scale
                  real :: x = 178.1387e-4
                  integer :: i = 5
                  print *, scale(x,i), x*radix(x)**i
                end program test_scale